pydo.monitoring.get_app_cpupercentage_metrics()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.monitoring.get_app_cpupercentage_metrics(
    app_id="2db3c021-15ad-4088-bfe8-99dc972b9cf6",
    app_component=None,
    start="1620683817",
    end="1620705417",
)
Returns JSONRaises HttpResponseError

Description

To retrieve cpu percentage metrics for a given app, send a GET request to /v2/monitoring/metrics/apps/cpu_percentage.

Parameters

app_id string required

The app UUID.

app_component string optional

The app component name.

start string required

UNIX timestamp to start metric window.

end string required

UNIX timestamp to end metric window.

Response Example

Show Response Example
{
  "status": "success",
  "data": {
    "resultType": "matrix",
    "result": [
      {
        "metric": {
          "app_component": "sample-application",
          "app_component_instance": "sample-application-0",
          "app_uuid": "db3c021-15ad-4088-bfe8-99dc972b9cf6"
        },
        "values": [
          [
            1634052360,
            "5.016600450090265357"
          ],
          [
            1634052480,
            "12.015085955677299055"
          ],
          [
            1634052600,
            "8.014941163855322308"
          ],
          [
            1634052720,
            "32.016214285714285712"
          ]
        ]
      }
    ]
  }
}

More Information

See /v2/monitoring/metrics/apps/cpu_percentage in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.